Orxonox: orxonox::CreateLines Class Reference

# orxonox::CreateLines Class Reference

`#include <src/orxonox/overlays/stats/CreateLines.h>`

List of all members.

## Public Member Functions

| CreateLines (float, float, float, float)
| Constructor: Creates a line.
void | setDeaths (const std::string &)
void | setPlayerName (const std::string &)
void | setScore (const std::string &)
void | setVisibility (bool)
virtual | ~CreateLines ()

## Private Attributes

Stats * | background_
OverlayText * | deathsText_
OverlayText * | playerNameText_
OverlayText * | scoreText_

## Constructor & Destructor Documentation

orxonox::CreateLines::CreateLines | ( | float | leftOffset,
|  | float | topOffset,
|  | float | width,
|  | float | height |
| ) |  |  |

Constructor: Creates a line.

References background_, orxonox::MT_Type::ColourValue, deathsText_, playerNameText_, scoreText_, orxonox::OverlayText::setColour(), orxonox::OrxonoxOverlay::setPosition(), orxonox::OrxonoxOverlay::setSize(), orxonox::OverlayText::setTextSize(), and orxonox::MT_Type::Vector2.

orxonox::CreateLines::~CreateLines | ( |  | ) | `[virtual]`

References background_, deathsText_, playerNameText_, and scoreText_.

## Member Function Documentation

void orxonox::CreateLines::setDeaths | ( | const std::string & | str | ) |

References deathsText_, and orxonox::OverlayText::setCaption().

void orxonox::CreateLines::setPlayerName | ( | const std::string & | str | ) |

References playerNameText_, and orxonox::OverlayText::setCaption().

void orxonox::CreateLines::setScore | ( | const std::string & | str | ) |

References scoreText_, and orxonox::OverlayText::setCaption().

void orxonox::CreateLines::setVisibility | ( | bool | visible | ) |

References background_, deathsText_, playerNameText_, scoreText_, and orxonox::BaseObject::setVisible().

Referenced by orxonox::Scoreboard::tick().

## Member Data Documentation

Stats* orxonox::CreateLines::background_`[private]`

Referenced by CreateLines(), setVisibility(), and ~CreateLines().

OverlayText* orxonox::CreateLines::deathsText_`[private]`

Referenced by CreateLines(), setDeaths(), setVisibility(), and ~CreateLines().

OverlayText* orxonox::CreateLines::playerNameText_`[private]`

Referenced by CreateLines(), setPlayerName(), setVisibility(), and ~CreateLines().

OverlayText* orxonox::CreateLines::scoreText_`[private]`

Referenced by CreateLines(), setScore(), setVisibility(), and ~CreateLines().

The documentation for this class was generated from the following files:

- src/orxonox/overlays/stats/CreateLines.h
- src/orxonox/overlays/stats/CreateLines.cc